﻿//index.jsは長いため、グローバル変数、関数はこちらへ。

//
//gameをここに宣言
//
var game = null;

//
//screenの大きさを決める。
//
var SCREEN_WIDTH = 320; //幅
var SCREEN_HEIGHT = 320; //高さ

//
//定数をここに宣言
//
var STANDARD_WIDTH = 32;
var STANDARD_HEIGHT = 32;

var SHIP_SPEED = 4; //移動する速さ
var SHIP_FRAME = 0;
var SHIP_LENGTH_MAXCOUNT = 2;
var SHIP_WITHIN = 5;
var BLOCK_SPEED = 2; //ブロックが移動する速さ

var STAR_INTERVAL = 48; //star
var BLOCK_WIDTH = 16;
var BLOCK_HEIGHT = 16;
var BLOCK_FRAME = 19;

var EFFECT0_WIDTH = 32;
var EFFECT0_HEIGHT = 32;

var MAP_SCROLL_COUNT = 3; // if (this.age % [ここ] === 0)
var MAP_WITHIN = 8;

var LEVEL_UP = 640;
//
//アセット
//
var ITEM_IMAGE = "image/item.png";
var UFO0_IMAGE = "ufo0.png";
var EFFECT0_IMAGE = "image/effect0.png";
var BACKGROUND_IMAGE = "background.png";
var STAGE_IMAGE = "glass.png";
var LIFE_IMAGE = "image/lifes0.png";
var BOM_IMAGE = "image/bom0.png";
var TITLE_IMAGE = "ufotitle.png";
var GAMEOVER_IMAGE = "ufogameover.png";
var START_BUTTON = "image/btn/btnstart.png";
var RETRY_BUTTON = "image/btn/btnretry.png";
var ASSETS = [
    ITEM_IMAGE, EFFECT0_IMAGE, UFO0_IMAGE, LIFE_IMAGE, BACKGROUND_IMAGE, STAGE_IMAGE, BOM_IMAGE, TITLE_IMAGE, GAMEOVER_IMAGE,
    START_BUTTON, RETRY_BUTTON
];

//
//変数をここに宣言
//


var level = 1;
var ship = null;
var map0 = null;
var map1 = null;
var scoreLabel = null;
var lifeLabel = null;
var pad = null;
var stage = null;
var exp = null;
var map0stage = null;
var map1stage = null;
var movespeed = 1;
var levelcount = 0;
var scene = null; //メインのシーン
var startscene = null; //最初のシーン
var endscene = null;
var background = null;

//isinv
//shipが無敵状態か
var isInv = false;
//mapSwitch
//0のときはmap0が、
//1のときはmap1が前に来ている。
var mapSwitch = 0;

