﻿//関数

var setupStage = function (stageindex) {
    var stage = window["STAGE_" + stageindex];
    return stage;
    //map0.loadData(stage.map);
};
// lifeLabelを変える。
var lifeCheck = function () {
    if (!isInv) {
        exp = new Explode(ship.x, ship.y);
        lifeLabel.life--;
        isInv = true;
        if (lifeLabel.life <= 0) {
            //game.end(scoreLabel.score, scoreLabel.score + "点獲得！");
            game.pushScene(endscene);
        } else {
            if (level > 1) {
                //レベル2以上のときはレベルを引く。
                level--;
                levelcount = 320;
                movespeed--;
                var l = new FadeLabel("LevelDown");
                l.x = SCREEN_WIDTH / 2 - 10;
                l.y = SCREEN_HEIGHT / 2 - 10;
                scene.addChild(l);
            }
        }
    }
};

var mapCreate = function () {

    var targetmap = null;
    var targetstage = null;
    var targetunmap = null; //un : 反対的な意味で。
    var mapsw = 0;
    if (mapSwitch == 0) {
        targetmap = map0;
        targetstage = map0stage;
        mapsw = 1;
        targetunmap = map1stage;
    } else if (mapSwitch == 1) {
        targetmap = map1;
        targetstage = map1stage;
        mapsw = 0;
        targetunmap = map0stage;
    }
    if (targetstage.x <= Math.abs(stage.x) - SCREEN_WIDTH) {
        targetmap.loadData(setupStage(~~(Math.random() * 5)));
        targetstage.x = targetunmap.x + SCREEN_WIDTH;
        mapSwitch = mapsw;
    }
};

var mapHitTest = function (num) {
    var targetstage = null;
    var targetmap = null;
    if (num == 0) {
        targetstage = map0stage;
        targetmap = map0;
    } else if (num == 1) {
        targetstage = map1stage;
        targetmap = map1;
    }
    var left = ship.x + MAP_WITHIN - targetstage.x;
    var right = ship.x + ship.width - MAP_WITHIN - targetstage.x;
    var top = ship.y + MAP_WITHIN;
    var bottom = ship.y + ship.height - MAP_WITHIN;
    var ht = hitTestRectangle(targetmap, left, right, top, bottom);
    if (ht) {
        lifeCheck();
    }
};

var itemCreate = function () {
    /*    var targetMap = null;
    if (num == 0) targetMap = map0stage;
    else if (num == 1) targetMap = map1stage;
    else return;
    */
    var item = null;
    //= new Star(Math.abs(stage.x) + SCREEN_WIDTH,
    //                    Math.random() * SCREEN_HEIGHT);
    var r = ~~(Math.random() * 100);
    if (r < 10) {
        item = new Heart();
    } else if (r < 15) {
        item = new Bom();
    } else {
        item = new Grape();
    }
    stage.addChild(item);

};

var levelUpLabel = function () {
    var label = new FadeLabel("LEVEL UP!");
    label.x = SCREEN_WIDTH / 2 - 10;
    label.y = SCREEN_HEIGHT / 2 - 10;
    scene.addChild(label);
};

var stageInit = function () {
    //背景の位置変更
    background.moveTo(0, 0);

    //ステージの位置変更
    stage.x = -SCREEN_WIDTH + 1;

    //レベルダウン
    level = 1;
    movespeed = 1;

    //マップステージ
    map0stage.x = 0;
    map1stage.x = SCREEN_WIDTH;

    //宇宙船
    ship.moveTo(SCREEN_WIDTH + 30, BLOCK_HEIGHT * 9);

    // UI
    lifeLabel.life = 3;
    scoreLabel.score = 0;

    // マップ
    map0.loadData(setupStage(0)); //別にしなくてもいい。
    map1.loadData(setupStage(3));
    mapSwitch = 0;

};
